Puppet::Type.type(:service).provide :openbsd, :parent => :init do

  desc "Provider for OpenBSD rc.d(8) init scripts."

  confine :operatingsystem => :openbsd
  defaultfor :operatingsystem => :openbsd

  def self.defpath
    "/etc/rc.d"
  end

  def statuscmd
    [self.initscript, :check]
  end

end
